package com.brilliance.isc.vo.lg;

import com.brilliance.isc.bo.Smh;
import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Trnmod;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.apache.commons.math3.ml.neuralnet.twod.util.SmoothedDataHistogram;

import java.util.List;
import java.util.Map;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class NitattStoreVo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private List<Map<String, String>> shwinc;
    private List<Map<String, String>> shwout;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
    }
}
